﻿using Android.App;
using Android.Widget;
using Android.OS;
using Java.Lang;
using Java.IO;
using Com.Syncfusion.Gauges.SfCircularGauge;
using Android.Views;
using System.Collections.ObjectModel;
using Android.Graphics;
using Com.Syncfusion.Gauges.SfCircularGauge.Enums;

namespace GaugeFragmentSample
{
	[Activity(Label = "GaugeFragmentSample", MainLauncher = true, Icon = "@mipmap/icon")]
	public class MainActivity : Activity
	{
		
		SfCircularGauge circularGauge;
		TickSetting majorTickstings;
		NeedlePointer needlePointer;
		RangePointer rangePointer;
		CircularScale circularScale;
		View view;

		protected override void OnCreate(Bundle savedInstanceState)
		{
			base.OnCreate(savedInstanceState);

			TableLayout tableLayout = new TableLayout(this);
			circularGauge = new SfCircularGauge(this);

			ObservableCollection<CircularScale> _circularScales = new ObservableCollection<CircularScale>();
			ObservableCollection<CircularPointer> _circularPointers = new ObservableCollection<CircularPointer>();
			ObservableCollection<Header> _gaugeHeaders = new ObservableCollection<Header>();
			// adding  new CircularScale
			circularScale = new CircularScale();
			circularScale.StartValue = 0;
			circularScale.EndValue = 100;
			circularScale.StartAngle = 130;
			circularScale.SweepAngle = 280;
			circularScale.RimWidth = 10;
			circularScale.RimColor = Color.ParseColor("#D14646");
			circularScale.MinorTicksPerInterval = 0;
			circularScale.LabelOffset = 0.2;
			circularScale.LabelTextSize = 18;

			//adding major ticks
			majorTickstings = new TickSetting();
			majorTickstings.Color = Color.ParseColor("#444444");
			majorTickstings.Size = 15;
			majorTickstings.Offset = 0.04;
			circularScale.MajorTickSettings = majorTickstings;

			//adding minor ticks
			TickSetting minorTickstings = new TickSetting();
			minorTickstings.Color = Color.Gray;
			circularScale.MinorTickSettings = minorTickstings;

			// adding needle Pointer
			needlePointer = new NeedlePointer();
			needlePointer.Value = 60;
			needlePointer.KnobColor = Color.ParseColor("#2BBFB8");
			needlePointer.KnobRadius = 20;
			needlePointer.Type = NeedleType.Bar;
			needlePointer.LengthFactor = 0.8;
			needlePointer.Width = 3;
			needlePointer.Color = Color.Gray;
			_circularPointers.Add(needlePointer);

			// adding range Pointer
			rangePointer = new RangePointer();
			rangePointer.Value = 60;
			rangePointer.Color = Color.ParseColor("#2BBFB8");
			rangePointer.Width = 10;
			_circularPointers.Add(rangePointer);

			circularScale.CircularPointers = _circularPointers;
			_circularScales.Add(circularScale);

			//adding header
			Header circularGaugeHeader = new Header();
			circularGaugeHeader.Text = "Speedometer";
			circularGaugeHeader.TextColor = Color.Gray;
			circularGaugeHeader.Position = new PointF((float)0.5, (float)0.7);
			circularGaugeHeader.TextSize = 20;
			_gaugeHeaders.Add(circularGaugeHeader);
			circularGauge.Headers = _gaugeHeaders;
			circularGauge.CircularScales = _circularScales;
			circularGauge.SetBackgroundColor(Color.White);

			Button button = new Button(this);
			button.Text = "Circular Gauge";

			tableLayout.AddView(button);
			tableLayout.AddView(circularGauge);

			LayoutInflater layoutInflater = LayoutInflater.From(this);
			view = layoutInflater.Inflate(Resource.Layout.MyFragment, tableLayout);

			base.OnCreate(savedInstanceState);
			SetContentView(view);
		
		}
	}
}

